Support » Plugin: WP-Members Membership Plugin » Upgrade to 3.2.9.2 Causes Conflict w/ SendGrid

  • Hello,

    When we upgrade WP-Members from 3.2.8 to 3.2.9.2 we get this error…

    SendGrid: wp_mail has been declared by another process or plugin, so you won't be able to use SendGrid until the conflict is solved.

    Our temporary fix has been to roll the plugin back, but this isn’t sustainable.

    Is this something that you’re aware of?

    Thank you.

Viewing 1 replies (of 1 total)
  • Plugin Author Chad Butler

    (@cbutlerjr)

    WP-Members does not redeclare wp_mail(). wp_mail() IS a pluggable function, but WP-Members doesn’t use it as such; it uses whatever is defined already.

    The message appears to be specific to SendGrid, so I would assume they do their own error checks. Without knowing more about what it is looking at, if the assumption is that WP-Members has declared wp_mail() as a function, then that’s a false positive.

    If you look at the changes between 3.2.8 and 3.2.9.2, there’s nothing there that would be related to this. You may have to search elsewhere in your setup for a possible cause.

Viewing 1 replies (of 1 total)
  • The topic ‘Upgrade to 3.2.9.2 Causes Conflict w/ SendGrid’ is closed to new replies.